<template>
  <div class="bot"
       v-if="showsituation">
    <div class="top1">
      <span class="botcon">
        <span class="icon"></span>
        <span class="text">军标标绘</span>
      </span>
      <span class="close"
            @click="close">x</span>
    </div>
    <div class="content">
      <div class="plotTitle"> 二维标绘</div>
      <div class="menuContent">
        <div class="menuItem"
             @click="setMenuClick(item)"
             v-for="(item,index) in Option"
             :key="index">
          {{ item.name}}
        </div>
      </div>

      <div class="plotTitle"> 三维标绘</div>
      <div class="menuContent">
        <div class="menuItem"
             @click="setMenuClick(item)"
             v-for="(item,index) in Option1"
             :key="index">
          {{ item.name}}
        </div>
      </div>
      <div class="plotTitle"> </div>
      <div class="menuContent">
        <div class="menuItem"
             @click="setMenuClick1()">
          清除绘制
        </div>
      </div>
    </div>
  </div>
</template>

<script>

import bus from "../../utils/bus";
import axios from "axios";



export default {
  components: {

  },
  data () {
    return {
      Option: [
        {
          name: '粗直箭头',
          type: 'StraightArrow',
          value: 'polygon',
        },
        {
          name: '燕尾直箭头',
          type: 'SwallowtailArrow',
          value: 'polygon',
        },{
          name: '钳击箭头',
          type: 'PincerArrow',
          value: 'polygon',
        },{
          name: '集结地',
          type: 'GatheringPlace',
          value: 'polygon',
        },{
          name: '圆角矩形',
          type: 'RoundedRectangle',
          value: 'polygon',
        },
        {
          name: '扇形',
          type: 'Sector',
          value: 'polygon',
        },{
          name: '弓形',
          type: 'Bow',
          value: 'polygon',
        },{
          name: '攻击箭头',
          type: 'AttackArrow',
          value: 'polygon',
        },{
          name: '贝塞尔曲线',
          type: 'Bezierline',

        },{
          name: '贝塞尔箭头',
          type: 'BezierArrow',

        }

      ],
      Option1: [
        {
          name: '粗直箭头',
          type: 'StraightArrow',
          value: 'box',
        },
        {
          name: '燕尾直箭头',
          type: 'SwallowtailArrow',
          value: 'box',
        },{
          name: '钳击箭头',
          type: 'PincerArrow',
          value: 'box',
        },{
          name: '集结地',
          type: 'GatheringPlace',
          value: 'box',
        },{
          name: '圆角矩形',
          type: 'RoundedRectangle',
          value: 'box',
        },
        {
          name: '扇形',
          type: 'Sector',
          value: 'box',
        },{
          name: '弓形',
          type: 'Bow',
          value: 'box',
        },{
          name: '攻击箭头',
          type: 'AttackArrow',
          value: 'box',
        }
      ],
      showdata1: true,
      showdata2: true,
      showsituation: false,
    };
  },
  mounted () {
    bus.$on("clearEve",(e) => {
      this.reset();
    });
    bus.$on("radioData",(e) => {
      this.radios=e;
    });
    bus.$on("guanzhou",(e) => {

    });
    bus.$on("areaData",(e) => {
      this.regions=e;
    });
    bus.$on("showdio",(e) => {
      this.showsituation=e=="7-9-1"
      this.showdata1=true;
      this.showdata2=true;
    });
  },
  methods: {

    change () {
      this.showdata1=false;
    },
    change1 () {
      this.showdata2=false;
    },

    close () {
      this.showsituation=false;
    },
    setMenuClick1 () {
      sgworld.Creator.ClearMilitaryStandard();
    },
    setMenuClick (res) {
      if(res.value) {
        sgworld.Creator.militaryPlotting(res.type,res.value,(entity) => {
        });
      } else {
        sgworld.Creator.militaryPlotting(res.type,(entity) => {
        });
      }

    }
  },
  watch: {

  },
};
</script>

<style scoped>
.bot {
  width: 1000px;
  height: 1150px;
  background: url(~@/assets/image/test/22.png);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  position: absolute;
  left: 3920px;
  top: 680px;
}
.top1 {
  width: 95%;
  height: 11%;
  font-size: 40px;
  font-weight: bold;
  margin: 0px auto;
  border-bottom: 2px solid #fff;
  color: #fff;
  letter-spacing: 3px;
}
.icon {
  position: absolute;
  left: 50px;
  width: 50px;
  height: 50px;
  top: 39px;
  background-size: 100% 100% !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
  background: url(~@/assets/image/subject/题标.png);
}
.text {
  display: inline-block;
  margin-left: 90px;
}
.close {
  position: absolute;
  font-size: 60px;
  font-weight: 400;
  right: 60px;
  top: 20px;
}
.close:hover {
  color: red;
  transition: color 1s;
  cursor: pointer;
}

.botcon {
  display: inline-block;
  margin-top: 34px;
}
.btns {
  margin-top: 100px;
  width: 100%;
  height: 70px;
  display: flex;
  justify-content: center;
}

.btns > span:nth-child(3) {
  color: #fff;
  background-image: linear-gradient(#76c2f6, #6a9cf1);
}
.btns > span:nth-child(-n + 2) {
  color: #000;
  background: #cadaea;
}
.content {
  width: 92%;
  height: 80%;
  position: relative;
  margin: 3% 4%;
}
.plotTitle {
  width: 100%;
  color: #fff;
  font-size: 40px;
}
.menuContent {
  width: 100%;
  display: grid;
  grid-template-columns: auto auto auto;
  font-size: 32px;
  margin: 10px 0px;
  cursor: pointer;
}
.menuItem {
  margin: 10px 40px;
  min-width: 150px;
  background: rgb(135, 206, 235, 0.6);
  text-align: center;
  padding: 10px;
  border-radius: 5px;
  color: #fff;
}
.menuItem:hover {
  transform: scale(1.1);
  color: #494949;
}
</style>
